% TP 6 de Data Mining : Classif Hierarchique Ascendante
% Auteurs : Maxime Chambreuil - Florian Boitrel
% Date : 02 avril 2003
%
% NOUVELLE DISTANCE
%     distance = nouvelle_distance(matrice,indiceFusionne,type)
%
% ENTREE
% matrice : matrice des clusters du niveau X
% indiceFusionne : indice des cluster qui viennent d etre fusionne
% type : 1-> minimal
%        2-> maximal
% SORTIE
% distance : nouvelle matrice des distances
%

function distance = nouvelle_distance(matrice,cluster,type)

[nbIndividu nbVar] = size(matrice);
nbCluster = size(cluster,2);
distance = zeros(nbCluster);

for i=1:nbCluster
     distance(i,i) = Inf;
end

for i = 1:nbCluster
     for j=i+1:nbCluster
          if (type==1)
               tmp = matrice(cluster{i},cluster{j});
               distance(i,j) = min(min(tmp));
               distance(j,i) = distance(i,j);
          end
          if (type==2)
               distance(i,j) = max(max(matrice(cluster{i},cluster{j})));
               distance(j,i) = distance(i,j);
          end
     end
end

